KCAPI_AKCIPHER_STREA(3)

NAME
kcapi_akcipher_stream_op - obtain processed data (stream)

SYNOPSIS

ssize_t kcapi_akcipher_stream_op(struct kcapi_handle * handle, struct iovec * iov, size_t iovlen);

ARGUMENTS

handle
    [in] cipher handle

iov
    [in/out] scatter/gather list pointing to buffers to be filled with the resulting data from a cipher operation.

iovlen
    [in] number of scatter/gather list elements.

DESCRIPTION

This call can be called interleaved with kcapi_akcipher_stream_update to fetch the processed data.

This function may cause the caller to sleep if the kernel buffer holding the data is empty. The process will be woken up once more data is sent by calling kcapi_cipher_stream_update.

Note, when supplying buffers that are not multiple of block size, the buffers will only be filled up to the maximum number of full block sizes that fit into the buffer.

return number of bytes obtained from the kernel upon success; a negative errno-style error code if an error occurred

AUTHOR

Stephan Mueller <smueller@chronox.de>
    Author.

COPYRIGHT